import java.util.Scanner;

public class Program
{

    private static Scanner keyboard = new Scanner(System.in);

    public static void main(String[] args)
    {
        try
        {
            SmartVault smartVault = new SmartVault();
            authenticate(smartVault);
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }

        System.out.println("\nPress 'Enter' key to exit");
        keyboard.nextLine();
    }

    private static void authenticate(SmartVault smartVault) throws Exception
    {
        System.out.println("Enter your email address:");
        String email = keyboard.nextLine();

        System.out.println("Do you have a pin? [y/n]:");
        String response = keyboard.nextLine();

        if (!response.toLowerCase().startsWith("y"))
        {
            String url = smartVault.requestPin(email);
            System.out.println("Go to the following URL to view your pin and press the 'Enter' key when you've got the pin.");
            System.out.println(url);
            keyboard.nextLine();
        }

        System.out.println("Enter your pin:");
        String pin = keyboard.nextLine();
        smartVault.authenticate(email, pin);
    }
}