import com.smartvault.rest.*;
import com.sun.jndi.toolkit.url.Uri;


public class SmartVault
{
    private PublicClientProtocol _protocol;
    private DelegatedProtocol _delegation;

    public SmartVault() throws Exception
    {
        String clientId = "JavaTutorial"; // Change this to your client ID

        PublicClientCfg cfg = new PublicClientCfg(new Uri("https://rest.smartvault.com"), clientId);

        _protocol = new PublicClientProtocol(cfg);
    }

    public String requestPin(String userEmail) throws Exception
    {
        return _protocol.getPinRequestEndpoint(userEmail);
    }

    public void authenticate(String userEmail, String userPin) throws Exception
    {
        _delegation = _protocol.createDelegatedProtocol(userEmail, userPin);
    }
}